# Base nested switch job for 2023.1 and later
- job:
    name: whitebox-neutron-tempest-plugin-base-nested-switch
    parent: whitebox-neutron-tempest-plugin-base
    abstract: true
    branches:
      regex: ^(stable/(train|ussuri|victoria|wallaby|xena|yoga|zed)).*$
      negate: true
    # Comment nodeset and vars to switch back to non nested nodes
    nodeset: devstack-single-node-centos-9-stream
    vars: &nested_virt_vars
      devstack_localrc:
        LIBVIRT_TYPE: kvm
        # NOTE(ykarel): seeing issues with host-passthrough mode
        # https://bugs.launchpad.net/neutron/+bug/2036603
        # LIBVIRT_CPU_MODE: host-passthrough
        CIRROS_VERSION: 0.6.2
        DEFAULT_IMAGE_NAME: cirros-0.6.2-x86_64-disk
        DEFAULT_IMAGE_FILE_NAME: cirros-0.6.2-x86_64-disk.img
